#!/bin/sh
#
# Rubi's Ultimate Backup Implementation
#
# Version 2.0, (C) 3.1999 by Beat Rubischon <beat@rubis.ch>
#                  8.1999 by Beat Rubischon <beat.rubischon@trivadis.com>
#                  2.2000 by Beat Rubischon <beat@rubis.ch>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# Subroutines for rubi

# ----------
# run Backup
# ----------
runback () {
  mkdir -p $DSTDIR
  cd $DSTDIR
  $PREFIX/lib/backup.pl "$SSH" "$CPIO" "$SRCCPIO" "$SRCHOST" "$SRCPART" "$BASEDST" "$DSTDIR" "$OLDDST" 2>&1
  if [ $? -eq 0 ]; then
    echo $DSTDIR > $BASEDST/lastdst
  fi
}

# -----------
# run expunge					  keep 7 days
# -----------
runclean () {
  if [ "$KEEPS" = "" ]; then
    $FIND $DSTDIR -maxdepth 1 -ctime +$KEEPD | xargs echo rm -f
  else
    $FIND $DSTDIR -maxdepth 1 -ctime +$KEEPD | grep -v $KEEPS | xargs echo rm -f
  fi
}
